module VDCM#(
  parameter DIV=12, MUL=6
)(
  input      CLKIN_IN, 
  input      RST_IN, 
  output     CLKFX_OUT, 
  output     CLKIN_IBUFG_OUT, 
  output     CLK0_OUT, 
  output     CLK90_OUT, 
  output     LOCKED_OUT);

   wire CLKFB_IN;
   wire CLKFX_BUF;
   wire CLKIN_IBUFG;
   wire CLK0_BUF;
   wire CLK90_BUF;
   wire GND_BIT;
   
   assign GND_BIT = 0;

   assign CLKIN_IBUFG_OUT = CLKIN_IBUFG;
   assign CLK0_OUT = CLKFB_IN;
   BUFGCE  CLKFX_BUFG_INST (.I(CLKFX_BUF),.O(CLKFX_OUT),.CE(LOCKED_OUT));
   IBUFG  CLKIN_IBUFG_INST (.I(CLKIN_IN), .O(CLKIN_IBUFG));
   BUFG  CLK0_BUFG_INST (.I(CLK0_BUF),    .O(CLKFB_IN));
   BUFG  CLK90_BUFG_INST (.I(CLK90_BUF),  .O(CLK90_OUT));
   DCM #( .CLK_FEEDBACK("1X"), .CLKDV_DIVIDE(2.0), .CLKFX_DIVIDE(DIV), 
         .CLKFX_MULTIPLY(MUL), .CLKIN_DIVIDE_BY_2("FALSE"), 
         .CLKIN_PERIOD(17.000), .CLKOUT_PHASE_SHIFT("NONE"), 
         .DESKEW_ADJUST("SYSTEM_SYNCHRONOUS"), .DFS_FREQUENCY_MODE("LOW"), 
         .DLL_FREQUENCY_MODE("LOW"), .DUTY_CYCLE_CORRECTION("TRUE"), 
         .FACTORY_JF(16'h8080), .PHASE_SHIFT(0), .STARTUP_WAIT("TRUE") ) 
         DCM_INST (.CLKFB(CLKFB_IN), 
                 .CLKIN(CLKIN_IBUFG), 
                 .DSSEN(GND_BIT), 
                 .PSCLK(GND_BIT), 
                 .PSEN(GND_BIT), 
                 .PSINCDEC(GND_BIT), 
                 .RST(RST_IN), 
                 .CLKDV(), 
                 .CLKFX(CLKFX_BUF), 
                 .CLKFX180(), 
                 .CLK0(CLK0_BUF), 
                 .CLK2X(), 
                 .CLK2X180(), 
                 .CLK90(CLK90_BUF), 
                 .CLK180(), 
                 .CLK270(), 
                 .LOCKED(LOCKED_OUT), 
                 .PSDONE(), 
                 .STATUS());
endmodule

